How to fix broken packages in antiX?

Forum Forums New users New Users and General Questions How to fix broken packages in antiX?

  • This topic has 27 replies, 6 voices, and was last updated May 10-11:00 am by Wallon.
Viewing 13 posts - 16 through 28 (of 28 total)
  • Author
    Posts
  • #58165
    Member
    marcelocripemarcelocripe

    Hi Skidoo,

    Sorry for taking so long to return to this topic, on Sunday and yesterday I was unable to access this computer to run the tests you recommended / taught. I hope I did all the steps in the correct sequence, if I don’t do any steps correctly, please indicate what I still have to do.

    cca5@antix5:
    $ pyclean
    Usage: pyclean [-p PACKAGE] [DIR_OR_FILE]

    cca5@antix5:
    $ sudo pyclean -p youtube-dl

    cca5@antix5:
    $ sudo pyclean -p python-minimal

    cca5@antix5:
    $ sudo updatedb

    cca5@antix5:
    $ sudo apt update
    Obter:1 http://deb.debian.org/debian buster-backports InRelease [46,7 kB]
    Obter:2 http://ftp.br.debian.org/debian buster-updates InRelease [51,9 kB]
    Atingido:3 http://ftp.br.debian.org/debian buster InRelease
    Obter:4 http://security.debian.org buster/updates InRelease [65,4 kB]
    Obter:5 http://security.debian.org buster/updates/main i386 Packages [283 kB]
    Obter:6 http://security.debian.org buster/updates/main Translation-en [147 kB]
    Obter:7 http://repo.antixlinux.com/buster buster InRelease [27,4 kB]
    Obter:8 http://repo.antixlinux.com/buster buster/main i386 Packages [299 kB]
    Baixados 920 kB em 6s (157 kB/s)
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    40 packages can be upgraded. Run ‘apt list –upgradable’ to see them.

    cca5@antix5:
    $ sudo apt upgrade
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Calculando atualização… Pronto
    Os seguintes pacotes foram instalados automaticamente e já não são necessários:
    libmwaw-0.3-3 libnumbertext-1.0-0 libnumbertext-data liborcus-0.14-0
    libxmlsec1 libxmlsec1-nss node-normalize.css
    Utilize ‘sudo apt autoremove’ para os remover.
    Os NOVOS pacotes a seguir serão instalados:
    libmujs1
    Os pacotes a seguir serão mantidos em suas versões atuais:
    xserver-xorg xserver-xorg-core xserver-xorg-input-aiptek
    xserver-xorg-input-all xserver-xorg-input-elographics
    xserver-xorg-input-evdev xserver-xorg-input-joystick xserver-xorg-input-kbd
    xserver-xorg-input-mouse xserver-xorg-input-synaptics
    xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-ati
    xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-glide
    xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
    xserver-xorg-video-neomagic xserver-xorg-video-nouveau
    xserver-xorg-video-openchrome xserver-xorg-video-qxl xserver-xorg-video-r128
    xserver-xorg-video-radeon xserver-xorg-video-savage
    xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb
    xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa
    xserver-xorg-video-vmware
    Os pacotes a seguir serão atualizados:
    gstreamer1.0-alsa gstreamer1.0-libav gstreamer1.0-plugins-base
    gstreamer1.0-plugins-good libgstreamer-plugins-base1.0-0 libmpv1 mpv
    youtube-dl
    8 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 32 não atualizados.
    85 pacotes não totalmente instalados ou removidos.
    É preciso baixar 10,2 MB/11,3 MB de arquivos.
    Depois desta operação, 687 kB adicionais de espaço em disco serão usados.
    Você quer continuar? s
    Obter:1 http://security.debian.org buster/updates/main i386 libgstreamer-plugins-base1.0-0 i386 1.14.4-2+deb10u1 [1.956 kB]
    Obter:2 http://security.debian.org buster/updates/main i386 gstreamer1.0-alsa i386 1.14.4-2+deb10u1 [1.241 kB]
    Obter:3 http://security.debian.org buster/updates/main i386 gstreamer1.0-libav i386 1.15.0.1+git20180723+db823502-2+deb10u1 [201 kB]
    Obter:4 http://security.debian.org buster/updates/main i386 gstreamer1.0-plugins-base i386 1.14.4-2+deb10u1 [1.807 kB]
    Obter:5 http://repo.antixlinux.com/buster buster/main i386 libmujs1 i386 1.0.7-2.0antix1 [110 kB]
    Obter:6 http://security.debian.org buster/updates/main i386 gstreamer1.0-plugins-good i386 1.14.4-1+deb10u1 [2.973 kB]
    Obter:7 http://repo.antixlinux.com/buster buster/main i386 libmpv1 i386 0.32.0-3.0antix1 [841 kB]
    Obter:8 http://repo.antixlinux.com/buster buster/main i386 mpv i386 0.32.0-3.0antix1 [1.095 kB]
    Baixados 10,2 MB em 2s (4.662 kB/s)
    (Lendo banco de dados … 117911 ficheiros e directórios actualmente instalados.)
    A preparar para desempacotar …/0-libgstreamer-plugins-base1.0-0_1.14.4-2+deb10u1_i386.deb …
    A descompactar libgstreamer-plugins-base1.0-0:i386 (1.14.4-2+deb10u1) sobre (1.14.4-2) …
    A preparar para desempacotar …/1-youtube-dl_2021.04.07-1.0antix1_all.deb …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: aviso: o subprocesso do pacote antigo youtube-dl, script pre-removal retornou erro do status de saída 1
    dpkg: em vez disso a tentar script do novo pacote …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao processar o arquivo /tmp/apt-dpkg-install-inyiFg/1-youtube-dl_2021.04.07-1.0antix1_all.deb (–unpack):
    o subprocesso do pacote youtube-dl, novo script pre-removal retornou erro do status de saída 1
    Traceback (most recent call last):
    File “/usr/bin/py3compile”, line 25, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao limpar:
    o subprocesso instalado, do pacote youtube-dl, o script post-installation retornou erro do status de saída 1
    A seleccionar pacote anteriormente não seleccionado libmujs1:i386.
    A preparar para desempacotar …/2-libmujs1_1.0.7-2.0antix1_i386.deb …
    A descompactar libmujs1:i386 (1.0.7-2.0antix1) …
    A preparar para desempacotar …/3-libmpv1_0.32.0-3.0antix1_i386.deb …
    A descompactar libmpv1:i386 (0.32.0-3.0antix1) sobre (0.29.1-1.0antix) …
    A preparar para desempacotar …/4-mpv_0.32.0-3.0antix1_i386.deb …
    A descompactar mpv (0.32.0-3.0antix1) sobre (0.29.1-1.0antix) …
    A preparar para desempacotar …/5-gstreamer1.0-alsa_1.14.4-2+deb10u1_i386.deb …
    A descompactar gstreamer1.0-alsa:i386 (1.14.4-2+deb10u1) sobre (1.14.4-2) …
    A preparar para desempacotar …/6-gstreamer1.0-libav_1.15.0.1+git20180723+db823502-2+deb10u1_i386.deb …
    A descompactar gstreamer1.0-libav:i386 (1.15.0.1+git20180723+db823502-2+deb10u1) sobre (1.15.0.1+git20180723+db823502-2) …
    A preparar para desempacotar …/7-gstreamer1.0-plugins-base_1.14.4-2+deb10u1_i386.deb …
    A descompactar gstreamer1.0-plugins-base:i386 (1.14.4-2+deb10u1) sobre (1.14.4-2) …
    A preparar para desempacotar …/8-gstreamer1.0-plugins-good_1.14.4-1+deb10u1_i386.deb …
    A descompactar gstreamer1.0-plugins-good:i386 (1.14.4-1+deb10u1) sobre (1.14.4-1) …
    Erros foram encontrados durante o processamento de:
    /tmp/apt-dpkg-install-inyiFg/1-youtube-dl_2021.04.07-1.0antix1_all.deb
    Writing Menu: jwm
    Writing Menu: fluxbox
    Writing Menu: icewm
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    cca5@antix5:
    $ sudo apt autoremove
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    The following additional packages will be installed:
    youtube-dl
    Pacotes sugeridos:
    libfribidi-bin | bidiv phantomjs
    Os pacotes a seguir serão REMOVIDOS:
    libmwaw-0.3-3 libnumbertext-1.0-0 libnumbertext-data liborcus-0.14-0
    libxmlsec1 libxmlsec1-nss node-normalize.css
    Os pacotes a seguir serão atualizados:
    youtube-dl
    1 pacotes atualizados, 0 pacotes novos instalados, 7 a serem removidos e 32 não atualizados.
    93 pacotes não totalmente instalados ou removidos.
    É preciso baixar 0 B/1.125 kB de arquivos.
    Depois desta operação, 10,5 MB de espaço em disco serão liberados.
    Você quer continuar? s
    (Lendo banco de dados … 117919 ficheiros e directórios actualmente instalados.)
    A remover libmwaw-0.3-3:i386 (0.3.14-1) …
    A remover libnumbertext-1.0-0:i386 (1.0.5-1) …
    A remover libnumbertext-data (1.0.5-1) …
    A remover liborcus-0.14-0:i386 (0.14.1-6) …
    A remover libxmlsec1-nss:i386 (1.2.27-2) …
    A remover libxmlsec1:i386 (1.2.27-2) …
    A remover node-normalize.css (8.0.1-3) …
    (Lendo banco de dados … 117813 ficheiros e directórios actualmente instalados.)
    A preparar para desempacotar …/youtube-dl_2021.04.07-1.0antix1_all.deb …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: aviso: o subprocesso do pacote antigo youtube-dl, script pre-removal retornou erro do status de saída 1
    dpkg: em vez disso a tentar script do novo pacote …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao processar o arquivo /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb (–unpack):
    o subprocesso do pacote youtube-dl, novo script pre-removal retornou erro do status de saída 1
    Traceback (most recent call last):
    File “/usr/bin/py3compile”, line 25, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao limpar:
    o subprocesso instalado, do pacote youtube-dl, o script post-installation retornou erro do status de saída 1
    Erros foram encontrados durante o processamento de:
    /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    cca5@antix5:
    $ sudo apt install youtube-dl
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Pacotes sugeridos:
    libfribidi-bin | bidiv phantomjs
    Os pacotes a seguir serão atualizados:
    youtube-dl
    1 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 32 não atualizados.
    86 pacotes não totalmente instalados ou removidos.
    É preciso baixar 0 B/1.125 kB de arquivos.
    Depois desta operação, 167 kB adicionais de espaço em disco serão usados.
    (Lendo banco de dados … 117813 ficheiros e directórios actualmente instalados.)
    A preparar para desempacotar …/youtube-dl_2021.04.07-1.0antix1_all.deb …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: aviso: o subprocesso do pacote antigo youtube-dl, script pre-removal retornou erro do status de saída 1
    dpkg: em vez disso a tentar script do novo pacote …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao processar o arquivo /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb (–unpack):
    o subprocesso do pacote youtube-dl, novo script pre-removal retornou erro do status de saída 1
    Traceback (most recent call last):
    File “/usr/bin/py3compile”, line 25, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao limpar:
    o subprocesso instalado, do pacote youtube-dl, o script post-installation retornou erro do status de saída 1
    Erros foram encontrados durante o processamento de:
    /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    cca5@antix5:
    $ sudo apt reinstall youtube-dl
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Pacotes sugeridos:
    libfribidi-bin | bidiv phantomjs
    Os pacotes a seguir serão atualizados:
    youtube-dl
    1 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 32 não atualizados.
    86 pacotes não totalmente instalados ou removidos.
    É preciso baixar 0 B/1.125 kB de arquivos.
    Depois desta operação, 167 kB adicionais de espaço em disco serão usados.
    (Lendo banco de dados … 117813 ficheiros e directórios actualmente instalados.)
    A preparar para desempacotar …/youtube-dl_2021.04.07-1.0antix1_all.deb …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: aviso: o subprocesso do pacote antigo youtube-dl, script pre-removal retornou erro do status de saída 1
    dpkg: em vez disso a tentar script do novo pacote …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao processar o arquivo /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb (–unpack):
    o subprocesso do pacote youtube-dl, novo script pre-removal retornou erro do status de saída 1
    Traceback (most recent call last):
    File “/usr/bin/py3compile”, line 25, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao limpar:
    o subprocesso instalado, do pacote youtube-dl, o script post-installation retornou erro do status de saída 1
    Erros foram encontrados durante o processamento de:
    /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    cca5@antix5:
    $ sudo apt install –reinstall youtube-dl
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Pacotes sugeridos:
    libfribidi-bin | bidiv phantomjs
    Os pacotes a seguir serão atualizados:
    youtube-dl
    1 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 32 não atualizados.
    86 pacotes não totalmente instalados ou removidos.
    É preciso baixar 0 B/1.125 kB de arquivos.
    Depois desta operação, 167 kB adicionais de espaço em disco serão usados.
    (Lendo banco de dados … 117813 ficheiros e directórios actualmente instalados.)
    A preparar para desempacotar …/youtube-dl_2021.04.07-1.0antix1_all.deb …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: aviso: o subprocesso do pacote antigo youtube-dl, script pre-removal retornou erro do status de saída 1
    dpkg: em vez disso a tentar script do novo pacote …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao processar o arquivo /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb (–unpack):
    o subprocesso do pacote youtube-dl, novo script pre-removal retornou erro do status de saída 1
    Traceback (most recent call last):
    File “/usr/bin/py3compile”, line 25, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao limpar:
    o subprocesso instalado, do pacote youtube-dl, o script post-installation retornou erro do status de saída 1
    Erros foram encontrados durante o processamento de:
    /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    cca5@antix5:
    $ sudo apt purge youtube-dl
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Os pacotes a seguir serão REMOVIDOS:
    youtube-dl*
    0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 32 não atualizados.
    86 pacotes não totalmente instalados ou removidos.
    Depois desta operação, 5.966 kB de espaço em disco serão liberados.
    Você quer continuar? s
    dpkg: erro ao processar o pacote youtube-dl (–remove):
    O pacote está num estado de inconsistência muito mau; deve
    reinstalá-lo antes de tentar a remoção.
    Erros foram encontrados durante o processamento de:
    youtube-dl
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    cca5@antix5:
    $ sudo apt-get install -f
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    The following additional packages will be installed:
    youtube-dl
    Pacotes sugeridos:
    libfribidi-bin | bidiv phantomjs
    Os pacotes a seguir serão atualizados:
    youtube-dl
    1 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 32 não atualizados.
    86 pacotes não totalmente instalados ou removidos.
    É preciso baixar 0 B/1.125 kB de arquivos.
    Depois desta operação, 167 kB adicionais de espaço em disco serão usados.
    Você quer continuar? s
    (Lendo banco de dados … 117813 ficheiros e directórios actualmente instalados.)
    A preparar para desempacotar …/youtube-dl_2021.04.07-1.0antix1_all.deb …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: aviso: o subprocesso do pacote antigo youtube-dl, script pre-removal retornou erro do status de saída 1
    dpkg: em vez disso a tentar script do novo pacote …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao processar o arquivo /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb (–unpack):
    o subprocesso do pacote youtube-dl, novo script pre-removal retornou erro do status de saída 1
    Traceback (most recent call last):
    File “/usr/bin/py3compile”, line 25, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao limpar:
    o subprocesso instalado, do pacote youtube-dl, o script post-installation retornou erro do status de saída 1
    Erros foram encontrados durante o processamento de:
    /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    cca5@antix5:

    After the tests above, with the root powers, I manually deleted the youtube-dl_2021.04.07-1.0antix1_all.deb package from the /var/cache/apt/archives folder. Then I downloaded another package from the website http://repo.antixlinux.com/buster/pool/main/y/youtube-dl/youtube-dl_2021.04.07-1.0antix1_all.deb, which you informed me. I pasted the new package in the /var/cache/apt/archives folder. I pasted the new package into the /var/cache/apt/archives folder.

    cca5@antix5:

    $ sudo apt install –reinstall youtube-dl
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Pacotes sugeridos:
    libfribidi-bin | bidiv phantomjs
    Os pacotes a seguir serão atualizados:
    youtube-dl
    1 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 32 não atualizados.
    86 pacotes não totalmente instalados ou removidos.
    É preciso baixar 0 B/1.125 kB de arquivos.
    Depois desta operação, 167 kB adicionais de espaço em disco serão usados.
    (Lendo banco de dados … 117813 ficheiros e directórios actualmente instalados.)
    A preparar para desempacotar …/youtube-dl_2021.04.07-1.0antix1_all.deb …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: aviso: o subprocesso do pacote antigo youtube-dl, script pre-removal retornou erro do status de saída 1
    dpkg: em vez disso a tentar script do novo pacote …
    Traceback (most recent call last):
    File “/usr/bin/py3clean”, line 24, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao processar o arquivo /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb (–unpack):
    o subprocesso do pacote youtube-dl, novo script pre-removal retornou erro do status de saída 1
    Traceback (most recent call last):
    File “/usr/bin/py3compile”, line 25, in <module>
    import logging
    File “/usr/lib/python3.7/logging/__init__.py”, line 26, in <module>
    import sys, os, time, io, traceback, warnings, weakref, collections.abc
    File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
    File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
    File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
    File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
    File “<frozen importlib._bootstrap_external>”, line 857, in get_code
    File “<frozen importlib._bootstrap_external>”, line 525, in _compile_bytecode
    EOFError: marshal data too short
    dpkg: erro ao limpar:
    o subprocesso instalado, do pacote youtube-dl, o script post-installation retornou erro do status de saída 1
    Erros foram encontrados durante o processamento de:
    /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    cca5@antix5:

    Thanks.

    marcelocripe
    (Original text in Brazilian Portuguese)

    ———-

    Olá Skidoo,

    Desculpe-me por demorar para retornar a este tópico, no domingo e ontem eu não consegui acessar este computador para executar os testes que você recomendou/ensinou. Eu espero ter feito todas as etapas na sequência correta, se eu não fizer alguma etapa corretamente, por favor, indique o que eu ainda tenho que fazer.

    (Os testes estão nos textos traduzidos para o idioma inglês)

    Depois dos testes acima, com os poderes de root, eu apaguei manualmente o pacote youtube-dl_2021.04.07-1.0antix1_all.deb da pasta /var/cache/apt/archives. Em seguida baixei outro pacote da página eletrônica http://repo.antixlinux.com/buster/pool/main/y/youtube-dl/youtube-dl_2021.04.07-1.0antix1_all.deb, que você me informou. Colei o novo pacote na pasta /var/cache/apt/archives.

    (Os testes estão nos textos traduzidos para o idioma inglês)

    Obrigado.

    marcelocripe
    (Texto original em idioma Português do Brasil)

    #58035
    Member
    AvatarWallon

    Dear Marcelocripe,

    To avoid problem with translation, I use this command “LANGUAGE=en” before a command in terminal.
    Please find an example with the command “sudo apt update” in French and in English.

    
    Wallon@ASUS:~
    $ sudo apt update
    [sudo] Mot de passe de Wallon : 
    Atteint :1 http://ftp.be.debian.org/debian buster-updates InRelease
    Atteint :2 http://it.mxrepo.com/antix/buster buster InRelease                                                          
    Réception de :3 http://deb.debian.org/debian buster-backports InRelease [46,7 kB]                                      
    Atteint :4 http://ftp.be.debian.org/debian buster InRelease                                                            
    Réception de :5 http://security.debian.org buster/updates InRelease [65,4 kB]                                          
    Atteint :6 http://files.eid.belgium.be/debian buster InRelease                                                         
    Atteint :7 http://files2.eid.belgium.be/debian buster InRelease                                                        
    Atteint :8 http://dl.google.com/linux/chrome/deb stable InRelease                                                      
    112 ko réceptionnés en 3s (38,2 ko/s)                                                                                  
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    5 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
    Wallon@ASUS:~
    $ LANGUAGE=en sudo apt update
    Hit:1 http://files.eid.belgium.be/debian buster InRelease
    Hit:2 http://deb.debian.org/debian buster-backports InRelease                                                          
    Hit:3 http://ftp.be.debian.org/debian buster-updates InRelease                                                         
    Hit:4 http://security.debian.org buster/updates InRelease                                                              
    Hit:5 http://dl.google.com/linux/chrome/deb stable InRelease                                                           
    Hit:6 http://files2.eid.belgium.be/debian buster InRelease                                                             
    Hit:7 http://ftp.be.debian.org/debian buster InRelease              
    Hit:8 http://it.mxrepo.com/antix/buster buster InRelease
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    5 packages can be upgraded. Run 'apt list --upgradable' to see them.
    

    You can copy the result in English on this forum. It will be easier for others to reply…

    Kind regards,
    Wallon

    #58183
    Member
    Avatarskidoo

    save the following to a script file, mark executable, and use sudo to run

    #!/usr/bin/bash
    
    ###  ELIMINATE THE POSSIBILITY THAT THESE PRE-EXISTING
    ###  AND POTENTIALLY CORRUPT FILES WILL INTERFERE
    rm -rf /usr/lib/python3/dist-packages/youtube_dl
    rm -f /usr/bin/youtube-dl
    cd /usr &&  find . -name "*.pyc" -exec rm {} \;
    
    ###  ONE OR MORE OF THE FILES BELONGING TO A PYTHON COMPONENT
    ###  ARE MISSING OR CORRUPT, SO PERFORM A BULK REINSTALL
    ###  OF THE PYTHON PACKAGES
    dpkg -l |grep python3 | cut -f 3 -d' ' | while read -r line; \
        do apt --reinstall install $line; done
    
    ###  INSTALL THE PREVIOUSLY-DOWNLOADED DEBFILE
    apt --reinstall -y install youtube-dl \
        /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb
    
    ### test: launch the freshly-installed program
    youtube-dl
    
    exit 0
    
    #58337
    Member
    marcelocripemarcelocripe

    Hi Wallon and Skidoo,

    Wallon, I thank you for your teaching.

    Skidoo, I thank you for your script, follow the result of the execution in the terminal:

    cca5@antix5:~/Downloads
    $ LANGUAGE=en sudo ./fix-broken-packages.sh
    [sudo] password for cca5:

    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    The following additional packages will be installed:
    youtube-dl
    Suggested packages:
    libfribidi-bin | bidiv phantomjs
    The following packages will be upgraded:
    youtube-dl
    1 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 32 not upgraded.
    86 not fully installed or removed.
    Need to get 20,0 kB/1.145 kB of archives.
    After this operation, 167 kB of additional disk space will be used.
    Do you want to continue? Abort.
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    Note, selecting ‘youtube-dl’ instead of ‘/var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb’
    Suggested packages:
    libfribidi-bin | bidiv phantomjs
    The following packages will be upgraded:
    youtube-dl
    1 upgraded, 0 newly installed, 0 to remove and 32 not upgraded.
    86 not fully installed or removed.
    Need to get 0 B/1.125 kB of archives.
    After this operation, 167 kB of additional disk space will be used.
    (Reading database … 117813 files and directories currently installed.)
    Preparing to unpack …/youtube-dl_2021.04.07-1.0antix1_all.deb …
    Unpacking youtube-dl (2021.04.07-1.0antix1) over (2021.01.16-1.0antix1) …
    Setting up libmujs1:i386 (1.0.7-2.0antix1) …
    Setting up youtube-dl (2021.04.07-1.0antix1) …
    Setting up libqrcodegencpp1:i386 (1.4.0-1) …
    Setting up libharfbuzz-icu0:i386 (2.3.1-1) …
    Setting up libboost-chrono1.67.0:i386 (1.67.0-13+deb10u1) …
    Setting up apt-transport-https (1.8.2.3) …
    Setting up libyajl2:i386 (2.1.0-3) …
    Setting up libuno-sal3 (1:7.0.4~rc2-1~bpo10+2) …
    Setting up libgstreamer-plugins-base1.0-0:i386 (1.14.4-2+deb10u1) …
    Setting up libeot0:i386 (0.01-5) …
    Setting up libboost-date-time1.67.0:i386 (1.67.0-13+deb10u1) …
    Setting up libgpgme11:i386 (1.12.0-6) …
    Setting up chromium-sandbox (89.0.4389.114-1~deb10u1) …
    Setting up librevenge-0.0-0:i386 (0.0.4-6) …
    Setting up wpasupplicant (2:2.7+git20190128+0c1e29f-6+deb10u3) …
    Setting up coinor-libcoinutils3v5 (2.10.14+repack1-1) …
    Setting up libreoffice-style-colibre (1:7.0.4~rc2-1~bpo10+2) …
    Setting up gstreamer1.0-plugins-base:i386 (1.14.4-2+deb10u1) …
    Setting up wpagui (2:2.7+git20190128+0c1e29f-6+deb10u3) …
    Setting up libneon27-gnutls:i386 (0.30.2-3) …
    Setting up libmpv1:i386 (0.32.0-3.0antix1) …
    Setting up libboost-iostreams1.67.0:i386 (1.67.0-13+deb10u1) …
    Setting up libfreehand-0.1-1 (0.1.2-2) …
    Setting up libclucene-core1v5:i386 (2.3.3.4+dfsg-1) …
    Setting up coinor-libosi1v5 (0.107.9+repack1-1) …
    Setting up libmhash2:i386 (0.9.9.9-7+b1) …
    Setting up libmythes-1.2-0:i386 (2:1.2.4-3) …
    Setting up mpv (0.32.0-3.0antix1) …
    Setting up libexttextcat-data (3.4.5-1) …
    Setting up libabw-0.1-1:i386 (0.1.2-1) …
    Setting up libepubgen-0.1-1:i386 (0.1.1-1) …
    Setting up libuno-salhelpergcc3-3 (1:7.0.4~rc2-1~bpo10+2) …
    Setting up libboost-atomic1.67.0:i386 (1.67.0-13+deb10u1) …
    Setting up chromium (89.0.4389.114-1~deb10u1) …
    Setting up liblangtag-common (0.6.2-1) …
    Setting up libwpd-0.10-10:i386 (0.10.3-1) …
    Setting up gstreamer1.0-libav:i386 (1.15.0.1+git20180723+db823502-2+deb10u1) …
    Setting up libsuitesparseconfig5:i386 (1:5.4.0+dfsg-1) …
    Setting up fonts-opensymbol (2:102.11+LibO7.0.4~rc2-1~bpo10+2) …
    Setting up libodfgen-0.1-1:i386 (0.1.7-1) …
    Setting up libvisio-0.1-1:i386 (0.1.6-1+b2) …
    Setting up libstaroffice-0.0-0:i386 (0.0.6-1) …
    Setting up gstreamer1.0-alsa:i386 (1.14.4-2+deb10u1) …
    Setting up libwps-0.4-4:i386 (0.4.10-1) …
    Setting up libcolamd2:i386 (1:5.4.0+dfsg-1) …
    Setting up libexttextcat-2.0-0:i386 (3.4.5-1) …
    Setting up libgpgmepp6:i386 (1.12.0-6) …
    Setting up libboost-thread1.67.0:i386 (1.67.0-13+deb10u1) …
    Setting up libmspub-0.1-1:i386 (0.1.4-1+b2) …
    Setting up gstreamer1.0-plugins-good:i386 (1.14.4-1+deb10u1) …
    Setting up libraptor2-0:i386 (2.0.14-1.1~deb10u1) …
    Setting up lp-solve (5.5.0.15-4+b1) …
    Setting up libcmis-0.5-5v5 (0.5.2-1) …
    Setting up libpagemaker-0.0-0:i386 (0.0.4-1) …
    Setting up libcdr-0.1-1:i386 (0.1.5-1) …
    Setting up liblangtag1:i386 (0.6.2-1) …
    Setting up libzmf-0.0-0:i386 (0.0.2-1+b2) …
    Setting up libboost-locale1.67.0:i386 (1.67.0-13+deb10u1) …
    Setting up libqxp-0.0-0 (0.0.2-1) …
    Setting up libuno-cppu3 (1:7.0.4~rc2-1~bpo10+2) …
    Setting up coinor-libclp1 (1.16.11+repack1-1) …
    Setting up chromium-l10n (89.0.4389.114-1~deb10u1) …
    Setting up libclucene-contribs1v5:i386 (2.3.3.4+dfsg-1) …
    Setting up libwpg-0.3-3:i386 (0.3.3-1) …
    Setting up coinor-libcgl1 (0.59.10+repack1-1) …
    Setting up coinor-libcbc3 (2.9.9+repack1-1) …
    Setting up libuno-purpenvhelpergcc3-3 (1:7.0.4~rc2-1~bpo10+2) …
    Setting up uno-libs-private (1:7.0.4~rc2-1~bpo10+2) …
    Setting up librasqal3:i386 (0.9.32-1+b1) …
    Setting up libetonyek-0.1-1:i386 (0.1.9-1) …
    Setting up libe-book-0.1-1:i386 (0.1.3-1+b2) …
    Setting up librdf0:i386 (1.0.17-1.1+b1) …
    Setting up coinor-libcoinmp1v5:i386 (1.8.3-2+b11) …
    Setting up libuno-cppuhelpergcc3-3 (1:7.0.4~rc2-1~bpo10+2) …
    Setting up ure (1:7.0.4~rc2-1~bpo10+2) …
    Setting up libreoffice-common (1:7.0.4~rc2-1~bpo10+2) …

    Creating config file /etc/libreoffice/registry/main.xcd with new version

    Creating config file /etc/libreoffice/registry/pdfimport.xcd with new version

    Creating config file /etc/libreoffice/registry/xsltfilter.xcd with new version

    Creating config file /etc/libreoffice/registry/lingucomponent.xcd with new version

    Creating config file /etc/libreoffice/registry/Langpack-en-US.xcd with new version

    Creating config file /etc/libreoffice/registry/res/fcfg_langpack_en-US.xcd with new version
    Setting up libreoffice-core (1:7.0.4~rc2-1~bpo10+2) …
    Setting up libreoffice-math (1:7.0.4~rc2-1~bpo10+2) …

    Creating config file /etc/libreoffice/registry/math.xcd with new version
    Setting up libreoffice-gtk3 (1:7.0.4~rc2-1~bpo10+2) …
    Setting up libreoffice-draw (1:7.0.4~rc2-1~bpo10+2) …

    Creating config file /etc/libreoffice/registry/draw.xcd with new version

    Creating config file /etc/libreoffice/registry/graphicfilter.xcd with new version
    Setting up libreoffice-base-drivers (1:7.0.4~rc2-1~bpo10+2) …
    Setting up libreoffice-impress (1:7.0.4~rc2-1~bpo10+2) …

    Creating config file /etc/libreoffice/registry/impress.xcd with new version

    Creating config file /etc/libreoffice/registry/ogltrans.xcd with new version
    Setting up libreoffice-base-core (1:7.0.4~rc2-1~bpo10+2) …
    Setting up libreoffice-calc (1:7.0.4~rc2-1~bpo10+2) …

    Creating config file /etc/libreoffice/registry/calc.xcd with new version
    Setting up libreoffice-base (1:7.0.4~rc2-1~bpo10+2) …

    Creating config file /etc/libreoffice/registry/base.xcd with new version
    Setting up libreoffice-writer (1:7.0.4~rc2-1~bpo10+2) …

    Creating config file /etc/libreoffice/registry/writer.xcd with new version
    Processing triggers for hicolor-icon-theme (0.17-2) …
    Processing triggers for libc-bin (2.28-10) …
    Processing triggers for man-db (2.8.5-2) …
    Processing triggers for dbus (1.12.20-0+deb10u1) …
    Processing triggers for shared-mime-info (1.10-1) …
    Processing triggers for fontconfig (2.13.1-2) …
    Processing triggers for desktop-file-utils (0.23-4) …
    Processing triggers for mime-support (3.62) …
    Writing Menu: jwm
    Writing Menu: fluxbox
    Writing Menu: icewm
    Usage: youtube-dl [OPTIONS] URL

    youtube-dl: error: You must provide at least one URL.
    Type youtube-dl –help to see a list of all options.

    cca5@antix5:~/Downloads

    Thank you very much.

    marcelocripe
    (Original text in Brazilian Portuguese)

    ———-

    Olá Wallon e Skidoo,

    Wallon, eu agradeço por seu ensinamento.

    Skidoo, eu agradeço por seu script, segue o resultado da execução no terminal:

    (Os testes estão nos textos traduzidos para o idioma inglês)

    Muito obrigado.

    marcelocripe
    (Texto original em idioma Português do Brasil)

    #58338
    Member
    marcelocripemarcelocripe

    cca5@antix5:~/Downloads
    $ LANGUAGE=en sudo apt update
    .
    .
    .

    cca5@antix5:~/Downloads
    $ LANGUAGE=en sudo apt upgrade
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    Calculating upgrade… Done
    The following packages have been kept back:
    xserver-xorg xserver-xorg-core xserver-xorg-input-aiptek
    xserver-xorg-input-all xserver-xorg-input-elographics
    xserver-xorg-input-evdev xserver-xorg-input-joystick xserver-xorg-input-kbd
    xserver-xorg-input-mouse xserver-xorg-input-synaptics
    xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-ati
    xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-glide
    xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
    xserver-xorg-video-neomagic xserver-xorg-video-nouveau
    xserver-xorg-video-openchrome xserver-xorg-video-qxl xserver-xorg-video-r128
    xserver-xorg-video-radeon xserver-xorg-video-savage
    xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb
    xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa
    xserver-xorg-video-vmware
    The following packages will be upgraded:
    chromium chromium-common chromium-l10n chromium-sandbox icewm icewm-common
    nano virtualbox-guest-dkms virtualbox-guest-utils
    9 upgraded, 0 newly installed, 0 to remove and 32 not upgraded.
    Need to get 69,4 MB of archives.
    After this operation, 10,5 MB of additional disk space will be used.
    Do you want to continue? s
    Get:1 http://repo.antixlinux.com/buster buster/main i386 icewm i386 2.3.3-1.0antix1 [659 kB]
    Get:2 http://security.debian.org buster/updates/main i386 chromium-l10n all 90.0.4430.85-1~deb10u1 [4.145 kB]
    Get:3 http://repo.antixlinux.com/buster buster/main i386 icewm-common i386 2.3.3-1.0antix1 [579 kB]
    Get:4 http://security.debian.org buster/updates/main i386 chromium i386 90.0.4430.85-1~deb10u1 [59,5 MB]
    Get:5 http://repo.antixlinux.com/buster buster/main i386 nano i386 5.7-1.0antix1 [682 kB]
    Get:6 http://repo.antixlinux.com/buster buster/main i386 virtualbox-guest-utils i386 6.1.20-dfsg-1~mx19+1 [1.628 kB]
    Get:7 http://security.debian.org buster/updates/main i386 chromium-common i386 90.0.4430.85-1~deb10u1 [1.407 kB]
    Get:8 http://security.debian.org buster/updates/main i386 chromium-sandbox i386 90.0.4430.85-1~deb10u1 [146 kB]
    Get:9 http://repo.antixlinux.com/buster buster/main i386 virtualbox-guest-dkms all 6.1.20-dfsg-1~mx19+1 [701 kB]
    Fetched 69,4 MB in 34s (2.035 kB/s)
    (Reading database … 117833 files and directories currently installed.)
    Preparing to unpack …/0-icewm_2.3.3-1.0antix1_i386.deb …
    Unpacking icewm (2.3.3-1.0antix1) over (2.3.2-1.0antix1) …
    Preparing to unpack …/1-icewm-common_2.3.3-1.0antix1_i386.deb …
    Unpacking icewm-common (2.3.3-1.0antix1) over (2.3.2-1.0antix1) …
    Preparing to unpack …/2-nano_5.7-1.0antix1_i386.deb …
    Unpacking nano (5.7-1.0antix1) over (5.6.1-0.antix1) …
    Preparing to unpack …/3-virtualbox-guest-utils_6.1.20-dfsg-1~mx19+1_i386.deb …
    Unpacking virtualbox-guest-utils (6.1.20-dfsg-1~mx19+1) over (6.1.18-dfsg-3~mx19+1) …
    Preparing to unpack …/4-virtualbox-guest-dkms_6.1.20-dfsg-1~mx19+1_all.deb …

    ——– Uninstall Beginning ——–
    Module: virtualbox-guest
    Version: 6.1.18
    Kernel: 4.4.240-antix.2-486-smp (i686)
    ————————————-

    Status: Before uninstall, this module version was ACTIVE on this kernel.

    vboxguest.ko:
    – Uninstallation
    – Deleting from: /lib/modules/4.4.240-antix.2-486-smp/updates/
    rmdir: failed to remove ‘updates’: Directory not empty
    – Original module
    – No original module was found for this module on this kernel.
    – Use the dkms install command to reinstall any previous module version.

    vboxsf.ko:
    – Uninstallation
    – Deleting from: /lib/modules/4.4.240-antix.2-486-smp/updates/
    rmdir: failed to remove ‘updates’: Directory not empty
    – Original module
    – No original module was found for this module on this kernel.
    – Use the dkms install command to reinstall any previous module version.

    vboxvideo.ko:
    – Uninstallation
    – Deleting from: /lib/modules/4.4.240-antix.2-486-smp/updates/
    rmdir: failed to remove ‘updates’: Directory not empty
    – Original module
    – No original module was found for this module on this kernel.
    – Use the dkms install command to reinstall any previous module version.

    depmod…………..

    DKMS: uninstall completed.

    ——————————
    Deleting module version: 6.1.18
    completely from the DKMS tree.
    ——————————
    Done.
    Unpacking virtualbox-guest-dkms (6.1.20-dfsg-1~mx19+1) over (6.1.18-dfsg-3~mx19+1) …
    Preparing to unpack …/5-chromium-l10n_90.0.4430.85-1~deb10u1_all.deb …
    Unpacking chromium-l10n (90.0.4430.85-1~deb10u1) over (89.0.4389.114-1~deb10u1) …
    Preparing to unpack …/6-chromium_90.0.4430.85-1~deb10u1_i386.deb …
    Unpacking chromium (90.0.4430.85-1~deb10u1) over (89.0.4389.114-1~deb10u1) …
    Preparing to unpack …/7-chromium-common_90.0.4430.85-1~deb10u1_i386.deb …
    Unpacking chromium-common (90.0.4430.85-1~deb10u1) over (89.0.4389.114-1~deb10u1) …
    Preparing to unpack …/8-chromium-sandbox_90.0.4430.85-1~deb10u1_i386.deb …
    Unpacking chromium-sandbox (90.0.4430.85-1~deb10u1) over (89.0.4389.114-1~deb10u1) …
    Setting up virtualbox-guest-dkms (6.1.20-dfsg-1~mx19+1) …
    Loading new virtualbox-guest-6.1.20 DKMS files…
    Building for 4.4.240-antix.2-486-smp
    Building initial module for 4.4.240-antix.2-486-smp
    Done.

    vboxguest.ko:
    Running module version sanity check.
    – Original module
    – No original module exists within this kernel
    – Installation
    – Installing to /lib/modules/4.4.240-antix.2-486-smp/updates/

    vboxsf.ko:
    Running module version sanity check.
    – Original module
    – No original module exists within this kernel
    – Installation
    – Installing to /lib/modules/4.4.240-antix.2-486-smp/updates/

    vboxvideo.ko:
    Running module version sanity check.
    – Original module
    – No original module exists within this kernel
    – Installation
    – Installing to /lib/modules/4.4.240-antix.2-486-smp/updates/

    depmod…………….

    DKMS: install completed.
    Setting up chromium-sandbox (90.0.4430.85-1~deb10u1) …
    Setting up virtualbox-guest-utils (6.1.20-dfsg-1~mx19+1) …
    Setting up nano (5.7-1.0antix1) …
    Setting up icewm-common (2.3.3-1.0antix1) …
    Setting up chromium-common (90.0.4430.85-1~deb10u1) …
    Setting up chromium (90.0.4430.85-1~deb10u1) …
    Setting up chromium-l10n (90.0.4430.85-1~deb10u1) …
    Processing triggers for desktop-file-utils (0.23-4) …
    Processing triggers for mime-support (3.62) …
    Processing triggers for hicolor-icon-theme (0.17-2) …
    Processing triggers for man-db (2.8.5-2) …
    Processing triggers for menu (2.1.47+b1) …
    Setting up icewm (2.3.3-1.0antix1) …
    Processing triggers for menu (2.1.47+b1) …
    Writing Menu: jwm
    Writing Menu: fluxbox
    Writing Menu: icewm

    cca5@antix5:~/Downloads

    When I applied the command “$ LANGUAGE = en sudo apt upgrade”, the “Applications” menu and submenus started to be displayed in English, to return to be displayed in Brazilian Portuguese (pt-BR), I repeated the command “$ sudo apt upgrade” and it was not in pt-BR, then I applied the command “$ sudo desktop-menu –write-out-global”, after this command the menu and submenus of “Applications” started to be displayed in pt-BR language.

    Ao aplicar o comando “$ LANGUAGE=en sudo apt upgrade”, o menu e os submenus de “Aplicações” passaram a serem exibidos em idioma inglês, para voltar a ser exibido em idioma português do Brasil (pt-BR), eu repeti o comando “$ sudo apt upgrade” e não ficou em pt-BR, em seguida eu apliquei o comando “$ sudo desktop-menu –write-out-global”, depois deste comando o menu e os submenus de “Aplicações” passaram a serem exibidos em idioma pt-BR.

    $ sudo apt upgrade
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Calculando atualização… Pronto
    Os pacotes a seguir serão mantidos em suas versões atuais:
    xserver-xorg xserver-xorg-core xserver-xorg-input-aiptek
    xserver-xorg-input-all xserver-xorg-input-elographics
    xserver-xorg-input-evdev xserver-xorg-input-joystick xserver-xorg-input-kbd
    xserver-xorg-input-mouse xserver-xorg-input-synaptics
    xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-ati
    xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-glide
    xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
    xserver-xorg-video-neomagic xserver-xorg-video-nouveau
    xserver-xorg-video-openchrome xserver-xorg-video-qxl xserver-xorg-video-r128
    xserver-xorg-video-radeon xserver-xorg-video-savage
    xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb
    xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa
    xserver-xorg-video-vmware
    0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 32 não atualizados.

    cca5@antix5:~
    $ sudo desktop-menu –write-out-global
    Writing Menu: jwm
    Writing Menu: fluxbox
    Writing Menu: icewm

    cca5@antix5:~
    $

    #58339
    Member
    marcelocripemarcelocripe

    Skidoo,

    Synaptic displays the “youtube-dl 2021.04.07-1.0antix” package in green, with the right mouse click on this package, the options that were previously blocked or dimmed are now displayed.

    I have a single question:

    How can I use (or others can use) this excellent script of yours to fix other damaged / broken packages?

    Thank you all so much for the help and the teachings.

    marcelocripe
    (Original text in Brazilian Portuguese)

    ———-

    Skidoo,

    O Synaptic exibe o pacote “youtube-dl 2021.04.07-1.0antix” em cor verde, com o clique do botão direito do rato sobre este pacote, agora são exibidas as opções que antes estavam bloqueadas ou esmaecido.

    Eu tenho uma única dúvida:

    Como eu posso usar (ou outras pessoas podem usar) este seu excelente script para corrigir outros pacotes danificados/quebrados?

    Muito obrigado a todos pela ajuda e pelos ensinamentos.

    marcelocripe
    (Texto original em idioma Português do Brasil)

    #58341
    Moderator
    Brian MasinickBrian Masinick

    save the following to a script file, mark executable, and use sudo to run

    #!/usr/bin/bash
    
    ###  ELIMINATE THE POSSIBILITY THAT THESE PRE-EXISTING
    ###  AND POTENTIALLY CORRUPT FILES WILL INTERFERE
    rm -rf /usr/lib/python3/dist-packages/youtube_dl
    rm -f /usr/bin/youtube-dl
    cd /usr &&  find . -name "*.pyc" -exec rm {} \;
    
    ###  ONE OR MORE OF THE FILES BELONGING TO A PYTHON COMPONENT
    ###  ARE MISSING OR CORRUPT, SO PERFORM A BULK REINSTALL
    ###  OF THE PYTHON PACKAGES
    dpkg -l |grep python3 | cut -f 3 -d' ' | while read -r line; \
        do apt --reinstall install $line; done
    
    ###  INSTALL THE PREVIOUSLY-DOWNLOADED DEBFILE
    apt --reinstall -y install youtube-dl \
        /var/cache/apt/archives/youtube-dl_2021.04.07-1.0antix1_all.deb
    
    ### test: launch the freshly-installed program
    youtube-dl
    
    exit 0
    

    The package download script works flawlessly.

    Once you have verified that youtube-dl actually works (which it does), you will then be able to save youtube downloaded files into any directory that you have writable access to use.

    • This reply was modified 1 week, 5 days ago by Brian Masinick.

    Brian Masinick

    #58343
    Forum Admin
    anticapitalistaanticapitalista

    Seems like you don’t have the debian repo working.

    Philosophers have interpreted the world in many ways; the point is to change it.

    antiX with runit - leaner and meaner.

    #58345
    Member
    Avatarskidoo

    That was a “script” only to the extent that it removed the possibility of any mistake potentially introduced by hand-typing a series of commandstrings. Its comment lines explain the merit, the rationale, for performing each step.

    When a problem arises, although the number of error message lines displayed may be overwhelmingly large… they attempt to verbosely convey as much detail as possible, toward steering you toward a solution. My general practice is to “read backwards” through the lines, beginning with the bottomost line. When I encounter an unfamiliar term (a name, a phrase) I will websearch that term (or open manpages) before continuing to read upward. I applied EXACTLY the same approach when examining the lines you had posted.

    Expanding on the above, because websearch results may lead to outdated, or contradictory, “advice” and reputed solutions… I usually continue to search until I have found 2 or 3 matching (corroborating) citations. During the course of reading the citations, here again, I must often pause/sidetrack to lookup one or more additional unfamiliar terms.

    When approaching future problems, you will find success by applying this methodology.

    #58346
    Member
    Avatarskidoo

    @masinick @anticapitalista
    An earlier marcelocripe post explained that he had already, previously, downloaded the youtube-dl .deb
    and, per my reading, his latest 2 posts were simply intended to illustrate that the problem is now solved.

    #58347
    Moderator
    Brian MasinickBrian Masinick

    @skidoo: That makes sense; as I mentioned, your script installed the python3 environment and verified that the youtube-dl deb worked once the environment was cleaned up appropriately.

    Brian Masinick

    #58034
    Member
    AvatarWallon

    Dear Marcelocripe,

    I have noticed that if I put the result in French of one command in the terminal, it’s difficult for others to reply.
    I give you a tip, I use this command -> “LANGUAGE=en” at the beginning of my command and all is translated in English.
    It’s easier for everybody.
    Please find an example with the command “sudo apt update” in French and in English in my terminal.

    
    Wallon@ASUS:~
    $ sudo apt update
    [sudo] Mot de passe de Wallon : 
    Atteint :1 http://ftp.be.debian.org/debian buster-updates InRelease
    Atteint :2 http://it.mxrepo.com/antix/buster buster InRelease                                                          
    Réception de :3 http://deb.debian.org/debian buster-backports InRelease [46,7 kB]                                      
    Atteint :4 http://ftp.be.debian.org/debian buster InRelease                                                            
    Réception de :5 http://security.debian.org buster/updates InRelease [65,4 kB]                                          
    Atteint :6 http://files.eid.belgium.be/debian buster InRelease                                                         
    Atteint :7 http://files2.eid.belgium.be/debian buster InRelease                                                        
    Atteint :8 http://dl.google.com/linux/chrome/deb stable InRelease                                                      
    112 ko réceptionnés en 3s (38,2 ko/s)                                                                                  
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    5 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
    
    Wallon@ASUS:~
    $ <strong>LANGUAGE=en</strong> sudo apt update
    Hit:1 http://files.eid.belgium.be/debian buster InRelease
    Hit:2 http://deb.debian.org/debian buster-backports InRelease                                                          
    Hit:3 http://ftp.be.debian.org/debian buster-updates InRelease                                                         
    Hit:4 http://security.debian.org buster/updates InRelease                                                              
    Hit:5 http://dl.google.com/linux/chrome/deb stable InRelease                                                           
    Hit:6 http://files2.eid.belgium.be/debian buster InRelease                                                             
    Hit:7 http://ftp.be.debian.org/debian buster InRelease              
    Hit:8 http://it.mxrepo.com/antix/buster buster InRelease
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    5 packages can be upgraded. Run 'apt list --upgradable' to see them.
    

    I’m happy because I receive the same number of packages in French and in English. It’s a joke!
    Kind regards,
    Wallon

    #58060
    Member
    AvatarWallon

    Dear Marcelocripe,

    If I want to show in English the result of a command in Terminal, I use the string “LANGUAGE=en” before the command.
    Here it is an example with “sudo apt update”.

    In French;

    
    Wallon@ASUS:~
    $ sudo apt update
    [sudo] Mot de passe de Wallon :
    Réception de :1 http://deb.debian.org/debian buster-backports InRelease [46,7 kB]
    Réception de :2 http://ftp.be.debian.org/debian buster-updates InRelease [51,9 kB]
    Réception de :3 http://security.debian.org buster/updates InRelease [65,4 kB]
    Atteint :4 http://files.eid.belgium.be/debian buster InRelease
    Atteint :5 http://files2.eid.belgium.be/debian buster InRelease
    Atteint :6 http://dl.google.com/linux/chrome/deb stable InRelease
    Atteint :7 http://it.mxrepo.com/antix/buster buster InRelease
    Atteint :8 http://ftp.be.debian.org/debian buster InRelease
    164 ko réceptionnés en 4s (40,7 ko/s)
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances
    Lecture des informations d'état... Fait
    Tous les paquets sont à jour.
    

    In English;

    
    Wallon@ASUS:~
    $ LANGUAGE=en sudo apt update
    Hit:1 http://deb.debian.org/debian buster-backports InRelease
    Hit:2 http://it.mxrepo.com/antix/buster buster InRelease
    Hit:3 http://security.debian.org buster/updates InRelease
    Hit:4 http://files.eid.belgium.be/debian buster InRelease
    Hit:5 http://files2.eid.belgium.be/debian buster InRelease
    Hit:6 http://dl.google.com/linux/chrome/deb stable InRelease
    Hit:7 http://ftp.be.debian.org/debian buster-updates InRelease
    Hit:8 http://ftp.be.debian.org/debian buster InRelease
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    All packages are up to date.
    Wallon@ASUS:~
    

    I hope this little tip can help you.

    Kind regards,
    Wallon

Viewing 13 posts - 16 through 28 (of 28 total)
  • You must be logged in to reply to this topic.